# generator-github

[![Build Status](http://img.shields.io/travis/lvillani/generator-github.svg?style=flat)](https://travis-ci.org/lvillani/generator-github)
[![License](http://img.shields.io/badge/license-MIT-blue.svg?style=flat)](http://choosealicense.com/licenses/mit/)

-------------------------------------------------------------------------------

A [Yeoman](http://yeoman.io) generator that you can use to quickly scaffold new and existing
GitHub repositories. It gives you the following:

* A `CHANGELOG.md` to show your users :heart: and give them an high-level overview of changes.
* A base `README.md` which includes the project title, a tagline, shields, project logo.
* A generic `CONTRIBUTING.md` file which can be used as-is.
* Sensible [EditorConfig](http://editorconfig.org/) defaults.

Did you know that this repository was created with `generator-github` itself?

![](meta-2.jpg)


## Getting Started

### What is Yeoman?

Trick question. It's not a thing. It's this guy:

![](http://i.imgur.com/JHaAlBJ.png)

Basically, he wears a top hat, lives in your computer, and waits for you to tell him what kind of
application you wish to create.

Not every new computer comes with a Yeoman pre-installed. He lives in the [npm](https://npmjs.org)
package repository. You only have to ask for him once, then he packs up and moves into your hard
drive. *Make sure you clean up, he likes new and shiny things.*

```bash
$ npm install -g yo
```


### Yeoman Generators

Yeoman travels light. He didn't pack any generators when he moved in. You can think of a generator
like a plug-in. You get to choose what type of application you wish to create, such as a Backbone
application or even a Chrome extension.

To install generator-github from npm, run:

```bash
$ npm install -g generator-github
```

Finally, initiate the generator and answer its questions:

```bash
$ yo github
```
